curl --request GET \
--url https://test.deribit.com/api/v2/private/get_deposits \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 5611,
"method": "private/get_deposits",
"params": {
"currency": "BTC",
"count": 10,
"offset": 0
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/get_deposits"
payload = {
"jsonrpc": "2.0",
"id": 5611,
"method": "private/get_deposits",
"params": {
"currency": "BTC",
"count": 10,
"offset": 0
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 5611,
method: 'private/get_deposits',
params: {currency: 'BTC', count: 10, offset: 0}
})
};
fetch('https://test.deribit.com/api/v2/private/get_deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 5611,
"result": {
"count": 1,
"data": [
{
"address": "2N35qDKDY22zmJq9eSyiAerMD4enJ1xx6ax",
"amount": 5,
"currency": "BTC",
"received_timestamp": 1549295017670,
"state": "completed",
"transaction_id": "230669110fdaf0a0dbcdc079b6b8b43d5af29cc73683835b9bc6b3406c065fda",
"updated_timestamp": 1549295130159
}
]
}
}private/get_deposits
Retrieve the latest user deposits. Returns a list of deposit transactions with their status, amounts, addresses, confirmations, and other relevant details.
๐ Related Article: Managing Deposits
Scope: wallet:read
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Number of requested items, default - 10, maximum - 1000
1 <= x <= 1000The offset for pagination, default - 0
10
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Address in proper format for currency
"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
Amount of funds in given currency
1
Deposit state. Allowed values:
pending: deposit detected on blockchain/system, compliance not yet finishedcompleted: compliance check finished successfullyrejected: deposit failed compliance and must be handled manuallyreplaced: deposit transaction was replaced on the blockchain and should have a new transaction hashpending, completed, rejected, replaced Transaction id in proper format for currency, null if id is not available
"1b1fb5568515e2b79503501e3d3680b2d0838d5dfc2d15a04eb8cd9fbbe0b572"
The timestamp (milliseconds since the Unix epoch)
1536569522277
The timestamp (milliseconds since the Unix epoch)
1536569522277
Address in proper format for currency
"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
Clearance state indicating the current status of the transaction clearance process. Allowed values:
in_progress: clearance process is in progresspending_admin_decision: transaction is under manual review by Deribit adminpending_user_input: user should provide additional information regarding the transactionsuccess: clearance process completed successfullyfailed: clearance process failed, transaction is rejectedcancelled: transaction is cancelled (currently used only for withdrawals, meaning the withdrawal is cancelled)refund_initiated: clearance process failed, transaction refund is initiated, funds are removed from Deribit balance (valid for deposits only)refunded: clearance process failed, deposit amount is refunded back to the client (valid for deposits only)in_progress, pending_admin_decision, pending_user_input, success, failed, cancelled, refund_initiated, refunded Transaction id in proper format for currency, null if id is not available
"1b1fb5568515e2b79503501e3d3680b2d0838d5dfc2d15a04eb8cd9fbbe0b572"
Total number of results available
101
The id that was sent in the request
Was this page helpful?